1.2

1.2

get /v1/organization-accounts

Description

get accounts list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None
queryname
optional
Account Name
Example : score-account
any of [string, null]None
queryemail
optional
Account Email
Example : score@samsung.com
any of [string, null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None
queryjoined_start_date
optional
Joined Start Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_end_date
optional
Joined End Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_method
optional
Joined Method
Example : INVITED
any of [enum (INVITED, CREATED, CLOUD_CONTROL), null]None
queryexclude_policy_id
optional
Policy ID to Exclude
Example : 238c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryparent_unit_id
optional
Root or Parent Organization Unit ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]None
queryparent_unit_name
optional
Root or Parent Organization Unit Name
Example : parent-unit-name
any of [string, null]None
querytype
optional
Account Type
Example : MEMBER
any of [enum (MANAGEMENT, DELEGATION, MEMBER, NONE, LOG_ARCHIVE, AUDIT), null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "accounts": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "email": "score@samsung.com",
            "id": "0a36e0746dbf4908acf0357829701381",
            "joined_method": "INVITED",
            "joined_time": "2024-05-17T12:34:56.789Z",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "score-account",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name",
            "state": "ACTIVE",
            "type": "MEMBER"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}